> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shuttle検出済みサブジェクトのリストを取得

> `job_id`によって指定されたShuttleジョブで、ソースシステムで検出されたサブジェクトのページ割りされたリストを返します。

> [!NOTE]
>
> 「[Box SDKのバージョニング戦略](https://developer.box.com/ja/guides/tooling/sdks/sdk-versioning.md)について詳しく学ぶ。」


## OpenAPI

````yaml box-openapi-v2026.0-jp.json GET /shuttle_discovered_subjects
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2026.0'
  x-box-commit-hash: 0274a35f73
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Automateワークフロー
    description: Automateワークフローのアクションをリストアップして手動で開始するためのエンドポイント。
    x-box-tag: automate_workflows
  - name: Box Noteに変換
    description: サポート対象のソースコンテンツ (マークダウンなど) からBox Notesを作成します。
    x-box-tag: notes
  - name: ドキュメント分割
    description: >-
      ページ割りされたソースドキュメントを、ユーザー定義のページ範囲またはAI生成のページ範囲に基づいて複数のファイルに分割するために使用される、一連のエンドポイント。
    x-box-tag: document_split
  - name: クエリ
    description: 項目に対するクエリ。
    x-box-tag: query
  - name: Shuttle
    description: >-
      外部ソースからBoxにコンテンツを移行するサービスであるBox
      Shuttleを管理するためのエンドポイント。これらのエンドポイントを使用して、Shuttleがコンテンツの移行元として使用するシステム、およびShuttleが実行する移行ジョブを管理します。
    x-box-tag: shuttle
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /shuttle_discovered_subjects:
    get:
      tags:
        - Shuttle
      summary: Shuttle検出済みサブジェクトのリストを取得
      description: '`job_id`によって指定されたShuttleジョブで、ソースシステムで検出されたサブジェクトのページ割りされたリストを返します。'
      operationId: get_shuttle_discovered_subjects_v2026.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
        - name: job_id
          in: query
          description: 検出済みサブジェクトをリスト化するShuttleジョブの一意の識別子。
          required: true
          schema:
            type: string
          example: 6a3ba68e810d9156194530a1
        - name: marker
          in: query
          description: |-
            結果が返される開始位置のマーカー。マーカーベースのページネーションを使用している場合に使用されます。

            これを使用するには、`usemarker`を`true`に設定する必要があります。
          required: false
          schema:
            type: string
          example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
        - name: limit
          in: query
          description: 返す項目の1ページあたりの最大数。
          required: false
          schema:
            type: integer
            format: int64
            maximum: 1000
          example: 1000
      responses:
        '200':
          description: 検出済みサブジェクトのページ割りされたリストを返します。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShuttleDiscoveredSubjects'
        '400':
          description: '`job_id`が指定されていない場合、またはユーザーが不正な形式の`marker`または`limit`の値を渡した場合に返されます。'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '401':
          description: '`Authorization`ヘッダーで指定されているアクセストークンが認識されないか、指定されていない場合に返されます。'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: 認証済みユーザーが、Enterpriseのプロパティを管理する権限を持つ管理者または共同管理者ではない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: Shuttleジョブが見つからないか、ユーザーがアクセスできない場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '429':
          description: ユーザーが一定時間内に送信したリクエストが多すぎる場合に返されます。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2026.0'
      example: '2026.0'
  schemas:
    ShuttleDiscoveredSubjects:
      description: ソースシステムで検出されたサブジェクトのページ割りされたリスト。
      type: object
      allOf:
        - required:
            - entries
          properties:
            entries:
              description: 検出されたサブジェクトのリスト。
              type: array
              items:
                $ref: '#/components/schemas/ShuttleDiscoveredSubject'
        - type: object
          description: マーカーベースのページネーションについて説明しているAPIレスポンスの部分。
          properties:
            limit:
              description: >-
                これらのエントリで使用された制限値。許容される最大値を超えていない限り、クエリパラメータの`limit`と等しくなります。最大値はAPIによって異なります。
              type: integer
              format: int64
              example: 1000
            next_marker:
              description: 次の検索結果ページの開始場所のマーカー。
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii
              nullable: true
            prev_marker:
              description: 前の検索結果ページの開始場所のマーカー。
              type: string
              example: JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih
              nullable: true
      title: Shuttle検出済みサブジェクト
      x-box-resource-id: shuttle_discovered_subjects_v2026.0
      x-box-tag: shuttle
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2026.0
    ShuttleDiscoveredSubject:
      description: スキャン中にソースシステムで検出されたサブジェクト。オプションで、推奨されるBoxターゲットが含まれます。
      type: object
      properties:
        id:
          description: 検出されたサブジェクトの一意の識別子。
          type: string
          example: 6a315c0754833bfc5df067bf
        type:
          description: 値は常に`shuttle_discovered_subject`になります。
          type: string
          example: shuttle_discovered_subject
          enum:
            - shuttle_discovered_subject
        job_id:
          description: このサブジェクトが属しているShuttleジョブの一意の識別子。
          type: string
          example: 6a3ba68e810d9156194530a1
        revision:
          description: この検出済みサブジェクトが属しているスキャンのリビジョン。
          type: integer
          format: int32
          example: 3
        source:
          allOf:
            - $ref: '#/components/schemas/ShuttleSubject'
            - description: 検出時のソースオブジェクト。
        suggested_target:
          description: スキャン時に推論された、推奨Boxターゲット。何も推奨されなかった場合は`null`。
          example:
            type: user
            id: '12345678'
            email: user@example.com
            name: Jane Doe
          oneOf:
            - $ref: '#/components/schemas/ShuttleTargetSubject'
            - title: OpenAPI 3.0 null schema type
              description: The definition for a null schema type in OpenAPI `3.0`.
              type: object
              nullable: true
              additionalProperties: false
      required:
        - id
        - type
        - job_id
        - revision
        - source
      title: Shuttle検出済みサブジェクト
      x-box-resource-id: shuttle_discovered_subject_v2026.0
      x-box-tag: shuttle
    ShuttleSubject:
      description: ユーザーやグループなど、移行元のソースシステムで検出されたサブジェクト。
      type: object
      properties:
        type:
          description: このサブジェクトがユーザーかグループか。
          type: string
          example: user
          enum:
            - user
            - group
        id:
          description: サブジェクトのプラットフォーム固有の識別子。システムから識別子が提供されない場合は`null`。
          type: string
          example: sp-user-001
          nullable: true
        email:
          description: サブジェクトのメールアドレス。不明な場合は`null`。
          type: string
          example: user@example.com
          nullable: true
        name:
          description: サブジェクトの表示名。不明な場合は`null`。
          type: string
          example: Jane Doe
          nullable: true
        roles:
          description: このサブジェクトがソースで持っているロール。既知のロールがない場合は`null`。
          type: array
          items:
            $ref: '#/components/schemas/ShuttleSubjectRole'
          example:
            - owner
          nullable: true
      required:
        - type
      title: Shuttleサブジェクト
      x-box-resource-id: shuttle_subject_v2026.0
      x-box-tag: shuttle
    ShuttleTargetSubject:
      description: ソースサブジェクトのマッピング先となるBoxユーザーまたはグループ。
      type: object
      properties:
        type:
          description: Boxターゲットがユーザーかグループか。
          type: string
          example: user
          enum:
            - user
            - group
        id:
          description: >-
            BoxユーザーまたはグループのID。このAPIを介してマッピングが作成されておらず、代わりにメールアドレス (ユーザー) または名前
            (グループ) によって識別される場合は`null`。スキップは、`id`の欠落ではなく、`target:
            null`によって表されます。作成および更新では常に`id`を送信します。
          type: string
          example: '12345678'
          nullable: true
        email:
          description: ターゲットのメールアドレス。不明な場合は`null`。
          type: string
          example: user@example.com
          nullable: true
        name:
          description: ターゲットの表示名。不明な場合は`null`。
          type: string
          example: Jane Doe
          nullable: true
      required:
        - type
      title: Shuttleターゲットサブジェクト
      x-box-resource-id: shuttle_target_subject_v2026.0
      x-box-tag: shuttle
    ShuttleSubjectRole:
      description: ソースサブジェクトがソースシステムで持っているロール。
      type: string
      example: owner
      enum:
        - owner
        - creator
        - updater
        - namespace_account
        - sharee
        - account_holder
        - unknown
      title: Shuttleサブジェクトロール
      x-box-tag: shuttle
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````